import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeButtonGroupComponent from "../button/src/button-group.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeButtonGroup = Object.assign({}, VxeButtonGroupComponent, {
  install(app) {
    app.component(VxeButtonGroupComponent.name, VxeButtonGroupComponent);
  }
});
dynamicApp.use(VxeButtonGroup);
VxeUI.component(VxeButtonGroupComponent);
const ButtonGroup = VxeButtonGroup;
export {
  ButtonGroup,
  VxeButtonGroup,
  VxeButtonGroup as default
};
